Bug 1285994 - TaskService.complete() throws NullPointerException without a meaningful message when a RuntimeManager with the deploymentId is not registered
TaskService.complete() throws NullPointerException without a meaningful messa...
Status: VERIFIED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: jBPM Core (Show other bugs)
6.1.0
Unspecified Unspecified
high Severity medium
: ER1
: 6.3.0
Assigned To: Maciej Swiderski
Radovan Synek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-27 02:46 EST by Toshiya Kobayashi
Modified: 2016-03-24 09:07 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JBPM-4852 Minor Resolved TaskService.complete() throws NullPointerException without a meaningful message when a RuntimeManager with the deploymen... 2016-06-28 00:26 EDT

  None (edit)
Description Toshiya Kobayashi 2015-11-27 02:46:49 EST
Description of problem:

Platform BZ for https://issues.jboss.org/browse/JBPM-4852


Steps to Reproduce:
1. See test case in the PR (https://github.com/droolsjbpm/jbpm/pull/350)

Actual results:

Throws NullPointerException

Expected results:

Throws RuntimeException with a message like "No RuntimeManager registered with identifier: id-1"
Comment 1 JBoss JIRA Server 2015-11-27 06:24:52 EST
Maciej Swiderski <swiderski.maciej@gmail.com> updated the status of jira JBPM-4852 to Resolved
Comment 3 Radovan Synek 2016-03-24 09:07:40 EDT
Verified with BPMS-6.3.0.ER1.

Note You need to log in before you can comment on or make changes to this bug.